> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/page-manipulation/split.md).

# Split PDF pages on iOS

Learn how to split a PDF document into multiple pages, merge, copy, delete, and rearrange PDF pages with a full code sample. ImportPages() method included. The Apryse iOS SDK streamlines secure docume

To split a PDF document into multiple pages.

{% tabs %}
{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
PTPDFDoc *doc = [[PTPDFDoc alloc] initWithFilepath: filename];
int page_num = [doc GetPageCount];
for (int i=1; i<=page_num; ++i)
{
  PTPDFDoc *new_doc = [[PTPDFDoc alloc] init];
  [new_doc InsertPages: 0 src_doc: doc start_page: i end_page: i flag: e_ptinsert_none];
  [new_doc SaveToFile: [output_filename stringByAppendingFormat: @"_split_page_%d.pdf", i] flags: e_ptlinearized];
}
```

{% endcode %}
{% endtab %}

{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
let doc: PTPDFDoc = PTPDFDoc(filepath: filename)

let page_num = doc.getPageCount()
for i in 1..page_num
{
  let new_doc: PTPDFDoc = PTPDFDoc()
  let output_file: String = "\(output_filename)_split_page_\(i).pdf"
  new_doc.insertPages(0, src_doc: doc, start_page: i, end_page: i, flag: e_ptinsert_none)
  new_doc.save(toFile: output_file, flags: e_ptlinearized.rawValue)
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

[Merge, Copy, Delete, and Rearrange PDF Pages](/ios/get-started/samples.md#pdfpage) Full code sample which illustrates how to copy pages from one document to another, how to delete, and rearrange pages and how to use ImportPages().


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/page-manipulation/split.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
